# BEGIN SourceDeps(oneline):
BuildRequires: /usr/bin/glib-gettextize pkgconfig(gtk+-2.0)
# END SourceDeps(oneline)
Name:           xpsk31
Version:        1.2
Release:        alt1_10
Summary:        GTK+ graphical version of lpsk31 for Ham Radio

Group:          Communications
License:        GPLv2+
URL:            http://5b4az.chronos.org.uk/pages/digital.html
Source0:        http://5b4az.chronos.org.uk/pkg/psk31/%{name}/%{name}-%{version}.tar.gz
Source1:        %{name}.desktop
Source2:        %{name}.png
Patch0:         xpsk31-1.2-configure.patch
Patch1:         xpsk31-1.2-implicitdso.patch

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: glib2-devel
BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: desktop-file-utils
Source44: import.info

%description
xpsk31 is a GTK+ graphical version of lpsk31, using the same basic signal 
decoding and encoding engine but controlled by the user via the GUI. In 
addition it has a FFT-derived "waterfall" display of the incoming signal and a 
"magniphase" display that shows the magnitude, phase and frequency error of the
psk31 signal.

%prep
%setup -q -n %{name}
%patch0 -p1 -b .configure
%patch1 -p1 -b .implicitdso
autoreconf -v -i

%build
%configure
make CC="gcc $RPM_OPT_FLAGS" %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"

# no upstream .desktop or icon yet
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/
cp %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/pixmaps/%{name}.png
desktop-file-install \
        --dir=${RPM_BUILD_ROOT}%{_datadir}/applications %{SOURCE1}
cp xpsk31/xpsk31rc xpsk31rc.sample


%files
%doc AUTHORS README COPYING xpsk31rc.sample
%{_bindir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_datadir}/applications/*%{name}.desktop

%changelog
* Tue Apr 30 2013 Igor Vlasenko <viy@altlinux.ru> 1.2-alt1_10
- initial fc import

